#include "opencv2/opencv.hpp"
#include <iostream>

using namespace cv;
using namespace std;

int main(void) {
	Mat src = imread("../_res/airplane.bmp", IMREAD_COLOR);
	Mat mask = imread("../_res/mask_plane.bmp", IMREAD_GRAYSCALE);
	Mat dst = imread("../_res/field.bmp", IMREAD_COLOR);

	if (src.empty() || mask.empty() || dst.empty()) {
		cerr << "Image load failed!" << endl;
		return 0;
	}
	imshow("back", dst);
	src.copyTo(dst, mask);
	imshow("dst", dst);
	imshow("src", src);
	imshow("mask", mask);
	waitKey(0);
	destroyAllWindows();

	return 0;
}